<?php
if ( ! defined( 'ABSPATH' ) ) exit;

class Plazox {

    private const JS_DIR = 'plazox/assets/js/';
    private const JS_FILE = 'plazox.js';

    public function __construct() {
        add_action('wp_enqueue_scripts', array($this, 'plazox_inline_js'), 10010);
    }

    function plazox_inline_js(){
        $jsContent = $this->plazox_init_js();
        wp_add_inline_script( 'jquery', $jsContent, 'before');
    }

    function plazox_init_js() {

        $activeTheme = wp_get_theme()->get('Name');

        $jsContent = "document.addEventListener('DOMContentLoaded', function() {";

        $jsContent .= PHP_EOL."let wp_active_theme='".$activeTheme."';";

        $jsContent .=  PHP_EOL."let fonts_path='".PLAZOX_BASE_URL."/assets/fonts'";

        $jsContent .= PHP_EOL."let bar_top_menu_show='".esc_js(get_option('plazox_bar_top_menu_show'))."';";
        $jsContent .= PHP_EOL."let bar_top_menu_show_icon='".esc_js(get_option('plazox_bar_top_menu_show_icon'))."';";
        $jsContent .= PHP_EOL."let bar_top_menu_text_message='".esc_js(get_option('plazox_bar_top_menu_text_message'))."';";
        $jsContent .= PHP_EOL."let bar_top_menu_style='".esc_js(get_option('plazox_bar_top_menu_style'))."';";
        $jsContent .= PHP_EOL."let product_page_show='".esc_js(get_option('plazox_product_page_show'))."';";
        $jsContent .= PHP_EOL."let product_page_show_banner='".esc_js(get_option('plazox_product_page_show_banner'))."';";
        $jsContent .= PHP_EOL."let floating_banner_visible='".esc_js(get_option('plazox_floating_banner_visible'))."';";
        $jsContent .= PHP_EOL."let floating_banner_position='".esc_js(get_option('plazox_floating_banner_position'))."';";
        $jsContent .= PHP_EOL."let floating_banner_design='".esc_js(get_option('plazox_floating_banner_design'))."';";
        $jsContent .= PHP_EOL.PHP_EOL;

        if ( ! function_exists( 'WP_Filesystem' ) ) {
            require_once ABSPATH . 'wp-admin/includes/file.php';
        }
        global $wp_filesystem;
        WP_Filesystem();

        $translations_script_path = PLAZOX_PLUGIN_DIR . 'assets/js/plazox-languages.js';
        $translations_content = $wp_filesystem->get_contents($translations_script_path);
        // Add translations
        $jsContent .= $translations_content;

        $base_script_path = PLAZOX_PLUGIN_DIR . 'assets/js/plazox-base.js';
        $base_content = $wp_filesystem->get_contents($base_script_path);
        // Add base content
        $jsContent .= $base_content;

        $jsContent .= "});";
        return $jsContent;
    }

}

new Plazox();
