<?php
if ( ! defined( 'ABSPATH' ) ) exit;

// Registrar opciones
function plazox_register_settings() {
    register_setting('plazox_options', 'plazox_bar_top_menu_show', ['sanitize_callback' => 'sanitize_text_field']);
    register_setting('plazox_options', 'plazox_bar_top_menu_show_icon', ['sanitize_callback' => 'sanitize_text_field']);
    register_setting('plazox_options', 'plazox_bar_top_menu_text_message', ['sanitize_callback' => 'sanitize_text_field']);
    register_setting('plazox_options', 'plazox_bar_top_menu_style', ['sanitize_callback' => 'sanitize_text_field']);
    register_setting('plazox_options', 'plazox_product_page_show', ['sanitize_callback' => 'sanitize_text_field']);
    register_setting('plazox_options', 'plazox_product_page_show_banner', ['sanitize_callback' => 'sanitize_text_field']);
    register_setting('plazox_options', 'plazox_floating_banner_visible', ['sanitize_callback' => 'sanitize_text_field']);
    register_setting('plazox_options', 'plazox_floating_banner_position', ['sanitize_callback' => 'sanitize_text_field']);
    register_setting('plazox_options', 'plazox_floating_banner_design', ['sanitize_callback' => 'sanitize_text_field']);
}
add_action('admin_init', 'plazox_register_settings');

// Mostrar página de configuración
function plazox_settings_page() {
    ?>
    <div class="wrap">
        <div class="plazos-intro" style="margin-bottom: 40px;">
            <img style="display: inline-block; vertical-align: text-bottom; margin-right: 5px;"
                 src="<?php echo esc_url(PLAZOX_BASE_URL); ?>/assets/images/plazox.png" />
            <h1 style="display: inline-block" class="title">Configura la visualizacion de plazox en tu web</h1>
        </div>
        <form method="post" action="<?php echo esc_url(admin_url('admin-post.php')); ?>">
            <?php
            wp_nonce_field('plazox_nonce_action', 'plazox_nonce');
            settings_fields('plazox_options');
            ?>
            <div style="margin-bottom: 40px:">
                <h3>Barra informativa superior</h3>
                <div style="padding: 20px">
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Visible</label>
                        <select id="plazox_bar_top_menu_show" name="plazox_bar_top_menu_show" style="min-width: 180px">
                            <?php
                            $show_icon = esc_html(get_option('plazox_bar_top_menu_show', '1'));
                            ?>
                            <option value="1" <?php selected($show_icon, '1'); ?>>Sí</option>
                            <option value="0" <?php selected($show_icon, '0'); ?>>No</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Mostrar logo</label>
                        <select id="plazox_bar_top_menu_show_icon" name="plazox_bar_top_menu_show_icon" style="min-width: 180px">
                            <?php
                            $show_icon = esc_html(get_option('plazox_bar_top_menu_show_icon', '1'));
                            ?>
                            <option value="1" <?php selected($show_icon, '1'); ?>>Sí</option>
                            <option value="0" <?php selected($show_icon, '0'); ?>>No</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Texto</label>
                        <select id="plazox_bar_top_menu_text_message" name="plazox_bar_top_menu_text_message" style="min-width: 180px">
                            <?php
                            $plazox_bar_top_menu_text_message = esc_html(get_option('plazox_bar_top_menu_text_message', '1'));
                            ?>
                            <option value="Divide el pago con plazox" <?php selected($plazox_bar_top_menu_text_message, 'Divide el pago con plazox'); ?>>Divide el pago con plazox</option>
                            <option value="Paga poco a poco con plazox" <?php selected($plazox_bar_top_menu_text_message, 'Paga poco a poco con plazox'); ?>>Paga poco a poco con plazox</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Diseño</label>
                        <select id="plazox_bar_top_menu_style" name="plazox_bar_top_menu_style" style="min-width: 180px">
                            <?php
                            $plazox_bar_top_menu_style = esc_html(get_option('plazox_bar_top_menu_style', 'Light')); // Default value is '1'
                            ?>
                            <option value="Light" <?php selected($plazox_bar_top_menu_style, 'Light'); ?>>Fondo blanco con texto negro</option>
                            <option value="Dark" <?php selected($plazox_bar_top_menu_style, 'Dark'); ?>>Fondo negro con texto blanco</option>
                        </select>
                    </div>
                </div>
            </div>
            <div style="margin-bottom: 40px:">
                <h3>Página de producto</h3>
                <div style="padding: 20px">
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Visible</label>
                        <select id="plazox_product_page_show" name="plazox_product_page_show" style="min-width: 180px">
                            <?php
                            $show_icon = esc_html(get_option('plazox_product_page_show', '1'));
                            ?>
                            <option value="1" <?php selected($show_icon, '1'); ?>>Sí</option>
                            <option value="0" <?php selected($show_icon, '0'); ?>>No</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Mostrar texto</label>
                        <select id="plazox_product_page_show_banner" name="plazox_product_page_show_banner" style="min-width: 180px">
                            <?php
                            $plazox_product_page_show_banner = esc_html(get_option('plazox_product_page_show_banner', 'Yes'));
                            ?>
                            <option value="Yes" <?php selected($plazox_product_page_show_banner, 'Yes'); ?>>Normal</option>
                            <option value="Reduced" <?php selected($plazox_product_page_show_banner, 'Reduced'); ?>>Reducido</option>
                        </select>
                    </div>
                </div>
            </div>
            <div style="margin-bottom: 40px:">
                <h3>Elemento flotante</h3>
                <div style="padding: 20px">
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Visible</label>
                        <select id="plazox_floating_banner_visible" name="plazox_floating_banner_visible" style="min-width: 180px">
                            <?php
                            $plazox_floating_banner_visible = esc_html(get_option('plazox_floating_banner_visible', '1'));
                            ?>
                            <option value="1" <?php selected($plazox_floating_banner_visible, '1'); ?>>Sí</option>
                            <option value="0" <?php selected($plazox_floating_banner_visible, '0'); ?>>No</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Posición</label>
                        <select id="plazox_floating_banner_position" name="plazox_floating_banner_position" style="min-width: 180px">
                            <?php
                            $plazox_floating_banner_position = esc_html(get_option('plazox_floating_banner_position', 'Center'));
                            ?>
                            <option value="Top" <?php selected($plazox_floating_banner_position, 'Top'); ?>>Arriba</option>
                            <option value="Center" <?php selected($plazox_floating_banner_position, 'Center'); ?>>Centro</option>
                            <option value="Bottom" <?php selected($plazox_floating_banner_position, 'Bottom'); ?>>Abajo</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Diseño</label>
                        <select id="plazox_floating_banner_design" name="plazox_floating_banner_design" style="min-width: 180px">
                            <?php
                            $plazox_floating_banner_design = esc_html(get_option('plazox_floating_banner_design', 'Option 1'));
                            ?>
                            <option value="Option 1" <?php selected($plazox_floating_banner_design, 'Option 1'); ?>>Opción 1</option>
                            <option value="Option 2" <?php selected($plazox_floating_banner_design, 'Option 2'); ?>>Opción 2</option>
                            <option value="Option 3" <?php selected($plazox_floating_banner_design, 'Option 3'); ?>>Opción 3</option>
                        </select>
                        <img style="padding: 20px; margin-top: 20px; background: #fff; border-radius: 10px; display: block; clear: both; width: 320px;"
                             src="<?php echo esc_url(PLAZOX_BASE_URL); ?>/assets/images/plazox_banner-designs.png" />
                    </div>
                </div>
            </div>

            <input type="hidden" name="action" value="save_plazox_settings">
            <?php submit_button('Guardar cambios'); ?>
        </form>

    </div>
    <?php
}

// Agregar página de administración
function plazox_admin_menu() {
    add_menu_page(
        'Plazox settings',
        'plazox',
        'manage_options',
        'plazox-settings',
        'plazox_settings_page',
        'dashicons-money'
    );
}
add_action('admin_menu', 'plazox_admin_menu');



function plazox_process_settings() {

    // Guarda las opciones
    if (isset($_POST['submit'])) {

        if (!isset($_POST['plazox_nonce']) || !wp_verify_nonce(sanitize_text_field(wp_unslash($_POST['plazox_nonce'])), 'plazox_nonce_action')) {
            wp_die(('Security check failed. Please refresh the page and try again.'));
        }

        update_option('plazox_bar_top_menu_show', sanitize_text_field(wp_unslash($_POST['plazox_bar_top_menu_show']??'')));
        update_option('plazox_bar_top_menu_show_icon', sanitize_text_field(wp_unslash($_POST['plazox_bar_top_menu_show_icon']??'')));
        update_option('plazox_bar_top_menu_text_message', sanitize_text_field(wp_unslash($_POST['plazox_bar_top_menu_text_message']??'')));
        update_option('plazox_bar_top_menu_style', sanitize_text_field(wp_unslash($_POST['plazox_bar_top_menu_style']??'')));
        update_option('plazox_product_page_show', sanitize_text_field(wp_unslash($_POST['plazox_product_page_show']??'')));
        update_option('plazox_product_page_show_banner', sanitize_text_field(wp_unslash($_POST['plazox_product_page_show_banner']??'')));
        update_option('plazox_floating_banner_visible', sanitize_text_field(wp_unslash($_POST['plazox_floating_banner_visible']??'')));
        update_option('plazox_floating_banner_position', sanitize_text_field(wp_unslash($_POST['plazox_floating_banner_position']??'')));
        update_option('plazox_floating_banner_design', sanitize_text_field(wp_unslash($_POST['plazox_floating_banner_design']??'')));

        // Redirecciona después de guardar
        wp_safe_redirect(add_query_arg('page', 'plazox-settings', admin_url('admin.php')));
        exit;
    }

}
add_action('admin_post_save_plazox_settings', 'plazox_process_settings');


